Skip to main content
POST
/
2
/
pm
/
order
/
quote
Get prediction market order quote
curl --request POST \
  --url https://demo-api.mobula.io/api/2/pm/order/quote \
  --header 'Content-Type: application/json' \
  --data '
{
  "tokenId": "<string>",
  "side": "BUY",
  "size": 123
}
'
{
  "data": {
    "avgPriceUSD": 123,
    "bestPriceUSD": 123,
    "totalCostUSD": 123,
    "filledToken": 123,
    "unfilledToken": 123,
    "side": "<string>",
    "outcomeId": "<string>",
    "amountInUSD": 123,
    "amountOutUSD": 123,
    "marketImpactPercentage": 123,
    "requestId": "<string>",
    "fee": {
      "amountUSD": "<string>",
      "platformFeesPercentage": 123,
      "wallet": "<string>",
      "deductedFrom": "<string>"
    },
    "outcome": {
      "outcomeId": "<string>",
      "label": "<string>",
      "marketId": "<string>",
      "question": "<string>"
    },
    "details": {
      "levels": [
        {
          "priceUSD": 123,
          "sizeToken": 123,
          "filledToken": 123
        }
      ]
    }
  },
  "hostname": "<string>",
  "took": 123
}

Request Body

tokenId
string
required
The outcome token ID to get a quote for.
side
string
required
Order side: BUY or SELL.
size
number
required
Number of tokens to buy or sell. Must be positive.

Response

data
object
Fill estimation result.
hostname
string
Server node identifier.
took
number
Request processing time in milliseconds.

Usage Example

curl -X POST "https://api.mobula.io/api/2/pm/order/quote" \
  -H "Content-Type: application/json" \
  -d '{
    "tokenId": "71321045533314185944161150504789982525459828614995786377552078351132518100924",
    "side": "BUY",
    "size": 1000
  }'

Example Response

{
  "data": {
    "avgPriceUSD": 0.352,
    "bestPriceUSD": 0.35,
    "totalCostUSD": 352,
    "filledToken": 1000,
    "unfilledToken": 0,
    "side": "BUY",
    "outcomeId": "71321...",
    "amountInUSD": 352,
    "amountOutUSD": 352,
    "marketImpactPercentage": 0.57,
    "requestId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    "fee": {
      "amountUSD": "0.000000",
      "platformFeesPercentage": 0,
      "wallet": null,
      "deductedFrom": "input"
    },
    "outcome": {
      "outcomeId": "71321...",
      "label": null,
      "marketId": null,
      "question": null
    },
    "details": {
      "levels": [
        { "priceUSD": 0.35, "sizeToken": 5000, "filledToken": 800 },
        { "priceUSD": 0.36, "sizeToken": 3000, "filledToken": 200 }
      ]
    }
  },
  "hostname": "node-xyz",
  "took": 42
}

Body

application/json
tokenId
string
required

Outcome token ID

side
enum<string>
required
Available options:
BUY,
SELL
size
number
required

Trade size in shares

Response

200 - application/json

Order quote

data
object
hostname
string
took
number